curl --request GET \
--url https://api.sandbox.tesouro.com/finops/v1/receipts \
--header 'Authorization: Bearer <token>' \
--header 'x-finops-version: <x-finops-version>' \
--header 'x-organization-id: <x-organization-id>'import requests
url = "https://api.sandbox.tesouro.com/finops/v1/receipts"
headers = {
"x-finops-version": "<x-finops-version>",
"x-organization-id": "<x-organization-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-finops-version': '<x-finops-version>',
'x-organization-id': '<x-organization-id>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.sandbox.tesouro.com/finops/v1/receipts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"origin": "upload",
"created_by_entity_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"currency": "AED",
"currency_exchange": {},
"description": "Payment for lunch with clients",
"document_id": "<string>",
"file_id": "123e4567-e89b-12d3-a456-426614174000",
"file_name": "<string>",
"file_url": "<string>",
"issued_at": "2023-11-07T05:31:56Z",
"link_source": "user",
"merchant_location": "<string>",
"merchant_name": "<string>",
"ocr_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ocr_status": "<string>",
"partner_metadata": {},
"sender": "hello@example.com",
"source_of_data": "ocr",
"total_amount": 123,
"transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"next_pagination_token": "<string>",
"prev_pagination_token": "<string>"
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"error": {
"message": "<string>"
}
}Get receipts
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The ID of the entity that owns the requested resource.
"9d2b4c8f-2087-4738-ba91-7359683c49a4"
Query Parameters
Sort order (ascending by default). Typically used together with the sort parameter.
asc, desc The number of items (0 .. 100) to return in a single page of the response. The response may contain fewer items if it is the last or only page.
1 <= x <= 100A pagination token obtained from a previous call to this endpoint. Use it to get the next or previous page of results for your initial query. If pagination_token is specified, all other query parameters are ignored and inferred from the initial query.
If not specified, the first page of results will be returned.
The field to sort the results by. Typically used together with the order parameter.
id, created_at, updated_at, issued_at, total_amount, merchant_name, document_id, currency AED, AFN, ALL, AMD, ANG, AOA, ARS, AUD, AWG, AZN, BAM, BBD, BDT, BGN, BHD, BIF, BMD, BND, BOB, BRL, BSD, BTN, BWP, BYN, BZD, CAD, CDF, CHF, CLP, CNY, COP, CRC, CVE, CZK, DJF, DKK, DOP, DZD, EGP, ETB, EUR, FJD, FKP, GBP, GEL, GHS, GIP, GMD, GNF, GTQ, GYD, HKD, HNL, HTG, HUF, IDR, ILS, INR, IQD, ISK, JMD, JOD, JPY, KES, KGS, KHR, KMF, KRW, KWD, KYD, KZT, LAK, LBP, LKR, LRD, LSL, LYD, MAD, MDL, MGA, MKD, MMK, MNT, MOP, MUR, MVR, MWK, MXN, MYR, MZN, NAD, NGN, NIO, NOK, NPR, NZD, OMR, PAB, PEN, PGK, PHP, PKR, PLN, PYG, QAR, RON, RSD, RUB, RWF, SAR, SBD, SCR, SEK, SGD, SHP, SLE, SOS, SRD, SSP, SVC, SZL, THB, TJS, TMT, TND, TOP, TRY, TTD, TWD, TZS, UAH, UGX, USD, UYU, UZS, VND, VUV, WST, XAF, XCD, XOF, XPF, YER, ZAR, ZMW x >= 0x >= 0x >= 0x >= 0Was this page helpful?